#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: wai-extra
version: 3.0.10
id: wai-extra-3.0.10-4e1ad30deec344cf190d19a0de72d085
key: waiex_BI9NeJiHtiJ0qfaCHba4qE
license: MIT
maintainer: michael@snoyman.com
stability: Stable
homepage: http://github.com/yesodweb/wai
synopsis: Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:
    .
    * WAI Testing Framework
    .
    Hspec testing facilities and helpers for WAI.
    .
    * Event Source/Event Stream
    .
    Send server events to the client. Compatible with the JavaScript
    EventSource API.
    .
    * Accept Override
    .
    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).
    .
    * Add Headers
    .
    WAI Middleware for adding arbitrary headers to an HTTP request.
    .
    * Clean Path
    .
    Clean a request path to a canonical form.
    .
    * GZip Compression
    .
    Negotiate HTTP payload gzip compression.
    .
    * HTTP Basic Authentication
    .
    WAI Basic Authentication Middleware which uses Authorization header.
    .
    * JSONP
    .
    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.
    .
    * Method Override / Post
    .
    Allows overriding of the HTTP request method via the _method query string
    parameter.
    .
    * Request Logging
    .
    Request logging middleware for development and production environments
    .
    * Request Rewrite
    .
    Rewrite request path info based on a custom conversion rules.
    .
    * Stream Files
    .
    Convert ResponseFile type responses into ResponseStream type.
    .
    * Virtual Host
    .
    Redirect incoming requests to a new host based on custom rules.
    .
    .
    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.
category: Web
author: Michael Snoyman
exposed: True
exposed-modules:
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.Local Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.Jsonp
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.StripHeaders
    Network.Wai.Middleware.Vhost Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.StreamFile Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Routed Network.Wai.Parse Network.Wai.Request
    Network.Wai.UrlMap Network.Wai.Test Network.Wai.EventSource
    Network.Wai.EventSource.EventStream
hidden-modules: Network.Wai.Middleware.RequestLogger.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/wai-extra-3.0.10
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/wai-extra-3.0.10
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/wai-extra-3.0.10
hs-libraries: HSwai-extra-3.0.10-BI9NeJiHtiJ0qfaCHba4qE
include-dirs: /usr/local/include
depends:
    ansi-terminal-0.6.2.1-45b37b0fd2ec6c9b1401ee63612af3c1
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    base64-bytestring-1.0.0.1-316a2db9857af7823ddde112a4d07b89
    blaze-builder-0.4.0.1-4d35cab24f4ca6367ae34ab88a0bfe29
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    case-insensitive-1.2.0.4-19d14e9206f0c06c6d26299b5df858f2
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    cookie-0.4.1.6-038de5ad5b1d8f8f0ba7e10bb8a097c0
    data-default-class-0.0.1-06f131700d8043a79c55259693817561
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    fast-logger-2.4.1-29d4afef3fc77acce56401c08007bee6
    http-types-0.8.6-8c7ea7eb3425b794ed7d44753eacc34c
    lifted-base-0.2.3.6-477621ebc9029335db13c6635be05794
    network-2.6.2.1-1efabe34c29aae7dc76038169a9c7a77
    old-locale-1.0.0.7-3588c6880f1cb77ccff98e204e99a556
    resourcet-1.1.6-4a18de11594ca91e0062f91f841e599f
    streaming-commons-0.1.12.1-bbf946452d8ca30754111099c58ff4ef
    stringsearch-0.3.6.6-0630e357d4d311d8b49ae0c26f871b6f
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
    unix-2.7.1.0-46aa3510142f1580327fd52821c9f510
    unix-compat-0.4.1.4-fc51fefce6a546e4a2a9c585a7c696b7
    vault-0.3.0.4-870308ed2cbd9fce6ee08c7fe4cfaf04
    void-0.7-8507b99cf37d960f269006aa7badbcfb
    wai-3.0.3.0-dc8b7c8c41e7d01bd72b2809c378a0cc
    wai-logger-2.2.4.1-1580d7a262f59ab7cec0ac043efe91eb
    word8-0.1.2-d97021102fda7d999fe668184e4efb39
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/wai-extra-3.0.10/html/wai-extra.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/wai-extra-3.0.10/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
